using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using WebChart;
namespace WebDemo {
	/// <summary>
	/// Summary description for WebForm14.
	/// </summary>
	public class WebForm14 : System.Web.UI.Page {
		protected WebChart.ChartControl chart1;
	
		private void Page_Load(object sender, System.EventArgs e) {
			if (Page.IsPostBack==false) {
				chart1.XTitle.StringFormat.Alignment = StringAlignment.Far;
				chart1.XTitle.StringFormat.LineAlignment = StringAlignment.Near;
				chart1.YTitle.StringFormat.FormatFlags = StringFormatFlags.DirectionVertical;
				chart1.YTitle.StringFormat.Alignment = StringAlignment.Near;

				Random r = new Random();

				Chart c;
				ChartPointCollection data;
				data = new ChartPointCollection();
				LoadData(ref data,r);
				c = new LineChart(data);
				c.Line.Color = Color.Transparent;
				c.Line.Width=3;
				c.LineMarker = new XLineMarker(10, Color.SpringGreen, Color.LightGray);
				c.DataLabels.Visible=true;
				c.DataLabels.Font = new Font("Tahoma", 8, FontStyle.Bold);
				c.DataLabels.ForeColor = Color.White;
				chart1.Charts.Add(c);

				data = new ChartPointCollection();
				LoadData(ref data,r);
				c = new LineChart(data);
				c.Line.Color = Color.Transparent;
				c.Line.Width=3;
				c.LineMarker = new CircleLineMarker(10, Color.Yellow, Color.LightGray);
				c.DataLabels.Visible=true;
				c.DataLabels.Font = new Font("Tahoma", 8, FontStyle.Bold);
				c.DataLabels.ForeColor = Color.White;
				chart1.Charts.Add(c);

				chart1.RedrawChart();
			}		
		}
		private void LoadData(ref ChartPointCollection data2, Random r) {
			string [] months= new string[]{"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"};
			for (int i=0 ; i<12;i++) {
				data2.Add( new ChartPoint( months[i] ,r.Next(99) ));
			}
	 }
		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e) {
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
