using System.Drawing;
using WebChart;

namespace ChartTest
{
	public class WebForm5 : System.Web.UI.Page
	{
		protected WebChart.ChartControl Chart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			Chart c = new AreaChart();
			c.Line.Color = Color.Red;
			c.Fill.Type = InteriorType.LinearGradient;
			c.Fill.EndPoint=new Point(600,400);
			c.Fill.ForeColor = Color.Orange;
			c.Fill.Color = Color.Silver;

			c.Data.Add ( new ChartPoint("Ene", 20) );
			c.Data.Add ( new ChartPoint("Ene", 30) );
			c.Data.Add ( new ChartPoint("Ene", 10) );
			c.Data.Add ( new ChartPoint("Ene", 50) );
			c.Data.Add ( new ChartPoint("Ene", 10) );
			c.Data.Add ( new ChartPoint("Ene", 0) );
			c.Data.Add ( new ChartPoint("Ene", 10) );
			c.Data.Add ( new ChartPoint("Ene", 60) );
			c.Legend="Salario";
			Chart1.Charts.Add(c);

			Chart1.RedrawChart();
		}

		#region Web Form Designer generated code
		override protected void OnInit(System.EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}
		
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
