using System.Drawing;
using WebChart;
using System.Drawing.Drawing2D ;

namespace ChartTest
{
	public class WebForm6 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected WebChart.ChartControl Chart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			Chart c = new ColumnChart();
			c.Data.Add( new ChartPoint("Jan", 12));
			c.Data.Add( new ChartPoint("Feb", 32));
			c.Data.Add( new ChartPoint("Mar", 11));
			c.Data.Add( new ChartPoint("Apr", 15));
			c.Data.Add( new ChartPoint("May", 34));
			c.Data.Add( new ChartPoint("Jun", 23));
			c.Data.Add( new ChartPoint("Jul", 22));
			c.Data.Add( new ChartPoint("Aug", 17));
			c.Data.Add( new ChartPoint("Sep", 20));
			c.Data.Add( new ChartPoint("Oct", -3));
			c.Data.Add( new ChartPoint("Nov", 16));
			c.Data.Add( new ChartPoint("Dec", 20));
			c.Fill.Color=Color.Transparent;
			c.Fill.Type=InteriorType.Hatch;
			c.Fill.HatchStyle = HatchStyle.DottedDiamond;
			c.Fill.ForeColor=Color.LightBlue ;
			c.Line.Color =Color.White;
			c.Legend = "Salary";
			Chart1.PlotBackground.ImageUrl=Server.MapPath( "~/background.jpg");
			
			c.DataLabels.ForeColor=Color.White;
			c.DataLabels.NumberFormat ="$0.00";
			c.DataLabels.Position = DataLabelPosition.Top;
			c.DataLabels.Background.Color=Color.SteelBlue ;
			c.DataLabels.ShowXTitle=true;
			c.DataLabels.Border.Color = Color.Red;
			c.DataLabels.Separator = " ";
			c.DataLabels.ShowLegend=true;
			c.DataLabels.MaxPointsWidth=1;
			c.DataLabels.Visible=true;
			c.ShowLineMarkers=true;
			c.LineMarker = new XLineMarker(6, Color.Red, Color.Green);
			/*
			
			
			c.DataLabels.Separator=" : ";
			
			c.DataLabels.Border.Color = Color.Red;
			c.DataLabels.Background.Color=Color.Blue;
			*/

			Chart1.Charts.Add(c);
			Chart1.RedrawChart();
			DataGrid1.DataSource=c.Data;
			DataGrid1.DataBind();
		}

		#region Web Form Designer generated code
		override protected void OnInit(System.EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
