using System;
using System.Drawing;
using WebChart;

namespace WebChartCSharp.MapDemo
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected WebChartCSharp.MapDemo.MapChart Chart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			MapColumnChart cl = new MapColumnChart();
			cl.Legend = "User A";
			cl.Fill.Color = Color.Maroon ;
						
			ChartPointCollection data2 = cl.Data;
			data2.Add(new ChartPoint("Jan",20));
			data2.Add(new ChartPoint("Feb",30));
			data2.Add(new ChartPoint("Mar",60));
			data2.Add(new ChartPoint("Apr",40));
			data2.Add(new ChartPoint("May",30));
			data2.Add(new ChartPoint("Jun",10));
			data2.Add(new ChartPoint("Jul",30));
			data2.Add(new ChartPoint("Aug",20));
			data2.Add(new ChartPoint("Sep",60));
			data2.Add(new ChartPoint("Oct",40));
			data2.Add(new ChartPoint("Nov",20));
			data2.Add(new ChartPoint("Dec",30));

			cl.Rects = new System.Collections.ArrayList();
			Chart1.Charts.Add(cl);

			MapColumnChart c2 = new MapColumnChart();
			c2.Legend = "User B";
			c2.Fill.Color = Color.DarkBlue ;
						
			data2 = c2.Data;
			data2.Add(new ChartPoint("Jan",10));
			data2.Add(new ChartPoint("Feb",10));
			data2.Add(new ChartPoint("Mar",20));
			data2.Add(new ChartPoint("Apr",10));
			data2.Add(new ChartPoint("May",20));
			data2.Add(new ChartPoint("Jun",30));
			data2.Add(new ChartPoint("Jul",10));
			data2.Add(new ChartPoint("Aug",50));
			data2.Add(new ChartPoint("Sep",20));
			data2.Add(new ChartPoint("Oct",30));
			data2.Add(new ChartPoint("Nov",50));
			data2.Add(new ChartPoint("Dec",20));

			c2.Rects = cl.Rects;
			Chart1.Charts.Add(c2);

			Chart1.RedrawChart();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Chart1.ChartPointSelected += new WebChartCSharp.MapDemo.OnChartPointSelected(this.Chart1_ChartPointSelected);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Chart1_ChartPointSelected(object sender, WebChartCSharp.MapDemo.ChartPointSelectedEventArgs e)
		{
			Trace.IsEnabled=true;
			Trace.Warn(e.ChartSelected);
		}
	}
}
