using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using WebChart;

namespace WebDemo
{
	public class WebForm20 : System.Web.UI.Page
	{
		protected WebChart.ChartControl Chart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			Chart c = new LineChart( );
			c.Data.Add ( new ChartPoint( "January 2003"		, 5600 ) );
			c.Data.Add ( new ChartPoint( "February 2003"	, 4360 ) );
			c.Data.Add ( new ChartPoint( "March 2003"		, 3450 ) );
			c.Data.Add ( new ChartPoint( "April 2003"		, 4940 ) );
			c.Data.Add ( new ChartPoint( "May 2003"			, 5430 ) );
			c.Data.Add ( new ChartPoint( "June 2003"		, 3420 ) );
			c.Data.Add ( new ChartPoint( "July 2003"		, 5610 ) );
			c.Data.Add ( new ChartPoint( "August 2003"		, 4230 ) );
			c.Data.Add ( new ChartPoint( "September 2003"	, 3360 ) );
			c.Data.Add ( new ChartPoint( "October 2003"		, 4150 ) );
			c.Data.Add ( new ChartPoint( "Nomember 2003"	, 3130 ) );
			c.Data.Add ( new ChartPoint( "December 2003"	, 3620 ) );
			c.Line.Color = Color.Blue;
			c.Legend = "Salary";
			c.DataLabels.Visible=true;
			c.DataLabels.NumberFormat ="C";
			Chart1.Charts.Add( c );

			c = new LineChart( );
			c.Data.Add ( new ChartPoint( "January 2003"		, -5600 ) );
			c.Data.Add ( new ChartPoint( "February 2003"	, -4360 ) );
			c.Data.Add ( new ChartPoint( "March 2003"		, -3450 ) );
			c.Data.Add ( new ChartPoint( "April 2003"		, -4940 ) );
			c.Data.Add ( new ChartPoint( "May 2003"			, -5430 ) );
			c.Data.Add ( new ChartPoint( "June 2003"		, -3420 ) );
			c.Data.Add ( new ChartPoint( "July 2003"		, -5610 ) );
			c.Data.Add ( new ChartPoint( "August 2003"		, -4230 ) );
			c.Data.Add ( new ChartPoint( "September 2003"	, -3360 ) );
			c.Data.Add ( new ChartPoint( "October 2003"		, -4150 ) );
			c.Data.Add ( new ChartPoint( "Nomember 2003"	, -3130 ) );
			c.Data.Add ( new ChartPoint( "December 2003"	, -3620 ) );
			c.Line.Color = Color.Blue;
			c.Legend = "Salary";
			c.DataLabels.Visible=true;
			c.DataLabels.NumberFormat ="C";
			Chart1.Charts.Add( c );
			Chart1.XAxisFont.StringFormat.Alignment = StringAlignment.Near;
			Chart1.RedrawChart();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
