using System.Drawing;
using System.Data.SqlClient;
using System.Drawing.Drawing2D ;
using WebChart;

namespace ChartTest
{
	public class WebForm4 : System.Web.UI.Page
	{
		protected WebChart.ChartControl Chart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!Page.IsPostBack) {

				ColumnChart c = new ColumnChart();
				c.MaxColumnWidth=5;
				c.Fill.Color = Color.White;
				c.Fill.ForeColor = Color.Teal;
				c.Fill.Type = InteriorType.Hatch;
				c.Fill.HatchStyle = HatchStyle.DiagonalBrick;
				c.Legend="Titles / Price";

				SqlConnection connection = new SqlConnection(System.Configuration.ConfigurationSettings.AppSettings["ConnectionString"]);
				SqlCommand command = new SqlCommand("select title_id, price from titles", connection);
				connection.Open();
				
				c.DataSource= command.ExecuteReader();
				c.DataXValueField="title_id";
				c.DataYValueField="price";
				c.DataBind();
				
				connection.Close();
				Chart1.Charts.Add( c );

				ColumnChart c2 = new ColumnChart( c.Data);
				c2.MaxColumnWidth=14;
				Chart1.Charts.Add( c2 );
				ColumnChart c3 = new ColumnChart( c.Data);
				c3.MaxColumnWidth=14;
				Chart1.Charts.Add( c3 );

				Chart1.Charts.Add( new LineChart(c.Data, Color.Orange ) );
				Chart1.RedrawChart();
			}
	}
		#region Web Form Designer generated code
		override protected void OnInit(System.EventArgs e)
		{
			InitializeComponent();
			base.OnInit(e);
		}		
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
