using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Drawing.Drawing2D;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using WebChart;

namespace WebDemo
{
	/// <summary>
	/// Summary description for WebForm8.
	/// </summary>
	public class WebForm8 : System.Web.UI.Page
	{
		protected WebChart.ChartControl chart1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!Page.IsPostBack)
			{
				Chart c;
				ChartPointCollection d;
				c = new StackedColumnChart();
				c.Fill.Color=Color.IndianRed;
				c.Fill.Type = InteriorType.Hatch;
				d = c.Data;
				d.Add(new ChartPoint("Ene", 10));
				d.Add(new ChartPoint("Feb", 2));
				d.Add(new ChartPoint("Mar", 30));
				d.Add(new ChartPoint("Abr", 18));
				d.Add(new ChartPoint("May", 2));
				d.Add(new ChartPoint("Jun", 15));
				c.Legend = "Data 1";
				chart1.Charts.Add(c);

				c = new StackedColumnChart();
				c.Fill.Type = InteriorType.Hatch;
				c.Fill.HatchStyle = HatchStyle.BackwardDiagonal;
				c.Fill.ForeColor=Color.White;
				c.Fill.Color=Color.SteelBlue;
				d = c.Data;
				d.Add(new ChartPoint("Ene", -12));
				d.Add(new ChartPoint("Feb", 21));
				d.Add(new ChartPoint("Mar", 12));
				d.Add(new ChartPoint("Apr", 20));
				d.Add(new ChartPoint("May", 0));
				d.Add(new ChartPoint("Jun", 15));
				c.Legend = "Data 2";
				chart1.Charts.Add(c);

				c = new StackedColumnChart();
				c.Fill.Color=Color.Khaki ;
				c.Fill.Type = InteriorType.Hatch;
				c.Fill.HatchStyle = HatchStyle.Cross;
				c.Fill.ForeColor = Color.LightSalmon;
				d = c.Data;
				d.Add(new ChartPoint("Ene", 23));
				d.Add(new ChartPoint("Feb", 14));
				d.Add(new ChartPoint("Mar", 5));
				d.Add(new ChartPoint("Apr", -10));
				d.Add(new ChartPoint("May", 16));
				d.Add(new ChartPoint("Jun", 9));
				c.Legend = "Data 3";
				chart1.Charts.Add(c);
				chart1.RedrawChart();
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
